### Method

# GimpUi PageSelector select_range

#### Declaration [src]

    void
    gimp_page_selector_select_range (
      GimpPageSelector* selector,
      const gchar* range
    )

#### Description [src]

Selects the pages described by `range`. The range string is a user-editable list of pages and ranges, e.g. “1,3,5-7,9-12,14”. Note that the page numbering in the range string starts with 1, not 0.

Invalid pages and ranges will be silently ignored, duplicate and overlapping pages and ranges will be merged.

Available since: | 2.4

#### Parameters

`range` | `const gchar*`
| A string representing the set of selected pages.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.